Declare Function WriteProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String) As Integer
Declare Function GetProfileString Lib "Kernel" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer) As Integer
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer
Declare Sub MessageBeep Lib "User" (ByVal wType As Integer)
Global Const MB_OK = &H0
Global Const MB_ICONHAND = &H10
Global Const MB_ICONQUESTION = &H20
Global Const MB_ICONEXCLAMATION = &H30
Global Const MB_ICONASTERISK = &H40
Declare Function GetIniSections Lib "Kernel" Alias "GetPrivateProfileString" (ByVal lpAppName As String, ByVal lpKeyName As Long, ByVal lpDefault As String, ByVal lpBuffer As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function KillSection Lib "Kernel" Alias "WritePrivateProfileString" (ByVal lpSectionName As String, ByVal lpKeyName As Long, ByVal lpString As Long, ByVal lpFileName As String) As Integer
Declare Function KillIniKey Lib "Kernel" Alias "WritePrivateProfileString" (ByVal lpSectionName As String, ByVal lpKeyName As String, ByVal lpString As Long, ByVal lpFileName As String) As Integer

Type RECT
    left As Integer
    top As Integer
    right As Integer
    bottom As Integer
End Type

Global Const TRUE = -1
Global Const FALSE = 0

'-----------------------------------
'Common Dialog Control
'-----------------------------------
'Action Property
Global Const DLG_FILE_OPEN = 1
Global Const DLG_FILE_SAVE = 2
Global Const DLG_COLOR = 3
Global Const DLG_FONT = 4
Global Const DLG_PRINT = 5
Global Const DLG_HELP = 6

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_SHOWHELP = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENTIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&

'Color Dialog Flags
Global Const CC_RGBINIT = &H1&
Global Const CC_FULLOPEN = &H2&
Global Const CC_PREVENTFULLOPEN = &H4&
Global Const CC_SHOWHELP = &H8&

Global gsInitDir As String

'---------------------------------------
'MCI Control (Multimedia)
'---------------------------------------
'Mode Property
Global Const MCI_MODE_NOT_OPEN = 11
Global Const MCI_MODE_STOP = 12
Global Const MCI_MODE_PLAY = 13
Global Const MCI_MODE_RECORD = 14
Global Const MCI_MODE_SEEK = 15
Global Const MCI_MODE_PAUSE = 16
Global Const MCI_MODE_READY = 17

'NotifyValue Property
Global Const MCI_NOTIFY_SUCCESSFUL = 1
Global Const MCI_NOTIFY_SUPERSEDED = 2
Global Const MCI_ABORTED = 4
Global Const MCI_FAILURE = 8

'Orientation Property
Global Const MCI_ORIENT_HORZ = 0
Global Const MCI_ORIENT_VERT = 1

'RecordMode Porperty
Global Const MCI_RECORD_INSERT = 0
Global Const MCI_RECORD_OVERWRITE = 1

'TimeFormat Property
Global Const MCI_FORMAT_MILLISECONDS = 0
Global Const MCI_FORMAT_HMS = 1
Global Const MCI_FORMAT_FRAMES = 3
Global Const MCI_FORMAT_SMPTE_24 = 4
Global Const MCI_FORMAT_SMPTE_25 = 5
Global Const MCI_FORMAT_SMPTE_30 = 6
Global Const MCI_FORMAT_SMPTE_30DROP = 7
Global Const MCI_FORMAT_BYTES = 8
Global Const MCI_FORMAT_SAMPLES = 9
Global Const MCI_FORMAT_TMSF = 10

Global gEventsArray() As String
Global giNumEvents As Integer

